Qt 5.6 | Qt Multimedia | C++ Classes | QMediaServiceDefaultDeviceInterface

Qt 5.6.2 Reference Documentation

# QMediaServiceDefaultDeviceInterface Class

The QMediaServiceDefaultDeviceInterface class interface identifies the default device used by a media service plug-in. More...

Header: | #include <QMediaServiceDefaultDeviceInterface>
qmake: | QT += multimedia
Since: | Qt 5.3

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaServiceDefaultDeviceInterface()
virtual QByteArray | defaultDevice(const QByteArray &service) const = 0

## Detailed Description

The QMediaServiceDefaultDeviceInterface class interface identifies the default device used by a media service plug-in.

A QMediaServiceProviderPlugin may implement this interface.

## Member Function Documentation

### `[virtual]` QMediaServiceDefaultDeviceInterface::~QMediaServiceDefaultDeviceInterface()

Destroys a media service default device interface.

### `[pure virtual]` QByteArray QMediaServiceDefaultDeviceInterface::defaultDevice(const QByteArray &service) const

Returns the default device for a service type.